Summary: Traces the route taken by packets over a TCP/IP network.
Name: traceroute
Version: 1.4a7
Release: 1.0.3
Copyright: BSD
Vendor: Guardian Digital, Inc.
Packager: Guardian Digital, Inc. <http://www.linuxseclabs.com>
Group: Networking/Tools
Source: ftp://ftp.ee.lbl.gov/traceroute-1.4a7.tar.gz
Patch0: traceroute-1.4a7-configure1.patch
Patch1: traceroute-1.4a7-configurein1.patch
Patch2: traceroute-1.4a7-ifaddrlist1.patch
Patch3: traceroute-1.4a7-makefile1.patch
Patch4: traceroute-1.4a7-tr1.patch
Patch5: traceroute-1.4a7-ifaddrlisth.patch
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-root

%description
The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host.  Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.  Traceroute is used as a network debugging
tool.  If you're having network connectivity problems, traceroute will
show you where the trouble is coming from along the route.

Install traceroute if you need a tool for diagnosing network connectivity
problems.

%prep
%setup -q
%patch0 -p1 -b .configure1
%patch1 -p1 -b .configurein1
%patch2 -p1 -b .ifaddrlist1
%patch3 -p1 -b .makefile1
%patch4 -p1 -b .tr1
%patch5 -p1 -b .ifaddrlisth

%build

%configure
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m 2110 traceroute ${RPM_BUILD_ROOT}%{_prefix}/sbin
install -m 0444 traceroute.8 ${RPM_BUILD_ROOT}%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(110,root,admin)	%{_prefix}/sbin/traceroute
%doc %{_mandir}/man8/*

%changelog
* Thu Nov 30 2000 Pete O'Hara <pete@guardiandigital.com>
- remove sgid bit from traceroute 

* Sun Oct 29 2000 Dave Wreski <dave@guardiandigital.com>
- update to 1.4a7 and combination of RH patches
- remove root suid for group admin sgid

* Sat Jul 15 2000 Pete O'Hara <pete@guardiandigital.com>
- removed suid and world access from traceroute and 
	altered the install procedure for 
	Guardian Digital Linux Lockbox

* Fri Jun 09 2000 Pete O'Hara <pete@guardiandigital.com>
- build from tarball
- merge RH changes

